package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcJbsjndfltj;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 举报事件年度分类统计Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcJbsjndfltjService 
{
    /**
     * 查询举报事件年度分类统计
     * 
     * @param id 举报事件年度分类统计主键
     * @return 举报事件年度分类统计
     */
    public TcJbsjndfltj selectTcJbsjndfltjById(Long id);

    /**
     * 查询举报事件年度分类统计列表
     * 
     * @param tcJbsjndfltj 举报事件年度分类统计
     * @return 举报事件年度分类统计集合
     */
    public List<TcJbsjndfltj> selectTcJbsjndfltjList(TcJbsjndfltj tcJbsjndfltj);

    /**
     * 新增举报事件年度分类统计
     * 
     * @param tcJbsjndfltj 举报事件年度分类统计
     * @return 结果
     */
    public int insertTcJbsjndfltj(TcJbsjndfltj tcJbsjndfltj);

    /**
     * 修改举报事件年度分类统计
     * 
     * @param tcJbsjndfltj 举报事件年度分类统计
     * @return 结果
     */
    public int updateTcJbsjndfltj(TcJbsjndfltj tcJbsjndfltj);

    /**
     * 批量删除举报事件年度分类统计
     * 
     * @param ids 需要删除的举报事件年度分类统计主键集合
     * @return 结果
     */
    public int deleteTcJbsjndfltjByIds(Long[] ids);

    /**
     * 删除举报事件年度分类统计信息
     * 
     * @param id 举报事件年度分类统计主键
     * @return 结果
     */
    public int deleteTcJbsjndfltjById(Long id);


    /**
     * 导入举报事件年度分类统计信息
     *
     * @return 结果
     */
    public String importUser(List<TcJbsjndfltj> tcJbsjndfltjList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
